Developer Portal

Get ProfileGET

Return the client profile properties, including profile identity details such as name and email, and the trading accounts linked to the profile.

View as Markdown
GET
/profiles/{id}

Authorization

Authorization<token>

Bearer access token issued by the admin login flow.

In: header

Path Parameters

idRequiredstring
curl -X GET "https://example.com/profiles/<string>" \
  -H "Authorization: <token>"

A successful response.

{
  "id": "string",
  "email": "string",
  "firstName": "string",
  "lastName": "string",
  "ipAddress": "string",
  "language": "string",
  "address": "string",
  "zipCode": "string",
  "city": "string",
  "state": "string",
  "country": "string",
  "phone": "string",
  "company": "string",
  "metaData": "string",
  "birthDate": "string",
  "timezone": "string",
  "password": "string"
}